package com.srs.routine.mapper;

import java.util.List;
import java.util.Map;

import com.srs.routine.domain.RtClassMettingStuUpload;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 指定学生上传Mapper接口
 *
 * @author srs
 * @date 2025-02-09
 */
public interface RtClassMettingStuUploadMapper extends BaseMapper<RtClassMettingStuUpload> {

    public List<Map< String, Object >> listStuClass(String stuNo);

    public List<Map< String, Object >> listFdyStuUpload(String tNo);

    /**
     * 查询指定学生上传
     *
     * @param id 指定学生上传主键
     * @return 指定学生上传
     */
    public RtClassMettingStuUpload selectRtClassMettingStuUploadById(Long id);

    /**
     * 查询指定学生上传列表
     *
     * @param rtClassMettingStuUpload 指定学生上传
     * @return 指定学生上传集合
     */
    List<RtClassMettingStuUpload> selectRtClassMettingStuUploadList(RtClassMettingStuUpload rtClassMettingStuUpload);

    /**
     * 新增指定学生上传
     *
     * @param rtClassMettingStuUpload 指定学生上传
     * @return 结果
     */
    int insertRtClassMettingStuUpload(RtClassMettingStuUpload rtClassMettingStuUpload);

    /**
     * 修改指定学生上传
     *
     * @param rtClassMettingStuUpload 指定学生上传
     * @return 结果
     */
    int updateRtClassMettingStuUpload(RtClassMettingStuUpload rtClassMettingStuUpload);

    /**
     * 删除指定学生上传
     *
     * @param id 指定学生上传主键
     * @return 结果
     */
    int deleteRtClassMettingStuUploadById(Long id);

    /**
     * 批量删除指定学生上传
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteRtClassMettingStuUploadByIds(Long[] ids);
}
